[Box Backup] bug report: choking on big file

Per Thomsen boxbackup at fluffy.co.uk
Fri Dec 23 17:46:44 GMT 2005


On 12/23/05 5:13 AM, Gary wrote:
> Per,
>
>   
>> This brings up a question: will old 0.09 clients work against 
>> a new server?
>>     
>
> If you mean the 0.9-mod, then no, the KeepAlive is a client/server
> command that requires a client KeepAlive query to be answered
> appropriately by KeepAlive server. Nick's old Win32 client includes
> that patch as well, but not "vanilla" BoxBackup.
>   
I was actually looking for the opposite.  If I upgrade my server to a 
version that includes the KeepAlive code, will old 0.09 clients work 
against this? Since they won't be sending KeepAlive requests, I'm just 
wondering if they can still be used.

I'm trying to find a good way to upgrade the system with geographically 
dispersed clients. So if I can run 'old' 0.09 clients (stock Box) 
against a server that supports KeepAlives, that would be helpful to me.

I understand that there may be other code changes that will cause 
incompatibility, but I don't know if that's the case. Hence my question.

Also, this question is not necessarily only related to 0.9-mod, but also 
to the efforts underway to get a new 'stock' Box.

Thanks in advance for any help,
Per

-- 
Per Reedtz Thomsen | Reedtz Consulting, LLC | F: 209 883 4119
V: 209 883 4102    |   pthomsen at reedtz.com  | C: 209 996 9561
GPG ID: 1209784F   |  Yahoo! Chat: pthomsen | AIM: pthomsen




More information about the Boxbackup mailing list